跳至內容

Moondream 3 Preview [Query]

整合

模型 id moondream3-preview/query
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream3-preview/query?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: ≈$0.001 1 API 點數 在此頁面執行

取得 API 金鑰
Moondream 視覺 #vision

回答關於影像的自由形式問題,可選擇輸出逐步推理結果

Moondream · 文字

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

要針對圖像提出的問題。

•必填 image_url
拖放檔案,或

指向待處理圖像的 URL。

進階 temperature · top_p · reasoning

取樣溫度,範圍為 0 到 1;省略時預設值為 0。較高的值(例如 0.8)會增加隨機性,較低的值(例如 0.2)會產生更聚焦且確定性的輸出。

核取樣的機率質量,範圍為 0 到 1。

POST /run/moondream3-preview/query?wait=20 報價 → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream3-preview/query?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Moondream 3 Preview [Query]

透過 `prompt` 對 `image_url` 中的影像提出問題,並回傳文字答案。預設啟用的 `reasoning` 旗標也會回傳答案背後的推理過程。可使用 `temperature` 與 `top_p` 調整取樣,兩者皆介於 0 與 1 之間。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
image_url必填 image
類型url · image
指向待處理圖像的 URL。
prompt必填
類型string
要針對圖像提出的問題。
reasoning選填
類型boolean
預設值true
控制答案是否包含詳細推理。
temperature選填
類型number | null
0 – 1
取樣溫度,範圍為 0 到 1;省略時預設值為 0。較高的值(例如 0.8)會增加隨機性,較低的值(例如 0.2)會產生更聚焦且確定性的輸出。
top_p選填
類型number | null
0 – 1
核取樣的機率質量,範圍為 0 到 1。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream3-preview/query",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "finish_reason": "stop",
    "usage_info": {
      "input_tokens": 1,
      "output_tokens": 1,
      "prefill_time_ms": 1.0,
      "decode_time_ms": 1.0,
      "ttft_ms": 1.0
    },
    "output": "{\n  \"safety_measures\": [\n    \"Red hard hat\",\n    \"Safety glasses\"\n  ]\n}",
    "reasoning": "The worker is wearing a red hard hat for head protection and safety glasses for eye protection."
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
finish_reason
string輸出生成結束的原因。
usage_info
object {input_tokens, output_tokens, prefill_time_ms, decode_time_ms, ttft_ms}請求用量詳細資料。
output
string針對圖像問題的回答。
reasoning
string | null啟用時,用於支援答案的詳細說明。

更多模型:視覺

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/moondream3-preview/query.md. 所有模型與指南: https://doitong.com/developers/llms.txt